Package wx :: Package lib :: Module CDate

[frames | no frames]

## Module wx.lib.CDate

Classes
`Date` |
`now` |

Function Summary
| `dayOfWeek(julian)`
| `daysPerMonth(month, year)`
| `FillDate(val)`
| `FormatDay(value)`
| `FromJulian(julian)`
| `isleap(year)`
| `julianDay(year, month, day)`
| `leapdays(y1, y2)`
| `TodayDay()`

Variable Summary
`list` | `day_abbr` = `['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'S...`
`list` | `day_name` = `['Sunday', 'Monday', 'Tuesday', 'Wednesday', ...`
`list` | `mdays` = `[0, 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, ...`
`dict` | `Month` = `{0: None, 1: 'January', 2: 'February', 3: 'March...`

Variable Details

### day_abbr

  Type:
    `list`
  Value:

        ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat']

### day_name

  Type:
    `list`
  Value:

        ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Sa\
        turday']

### mdays

  Type:
    `list`
  Value:

        [0, 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31]

### Month

  Type:
    `dict`
  Value:

        {None: 0,
         0: None,
         1: 'January',
         2: 'February',
         3: 'March',
         4: 'April',
         5: 'May',
         6: 'June',
        ...

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:44 2007 | http://epydoc.sf.net